# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "gxt-extism-types"
version = "1.5.0"
authors = ["hardliner66"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Minimal, encrypted, signed and copy-pasteable tokens for manual data exchange between games"
documentation = "https://docs.rs/gxt/latest/gxt/"
readme = false
license = "MIT OR Apache-2.0"
repository = "https://github.com/hardliner66/gxt"
resolver = "2"

[lib]
name = "gxt_extism_types"
path = "src/lib.rs"

[dependencies.extism-convert]
version = "1.3.0"

[dependencies.gxt]
version = "1.0.0"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_cbor]
version = "0.11"

[dependencies.serde_json]
version = "1"
features = ["preserve_order"]
